import request from '@/utils/request'

// 查询东南亚连续出版物列表
export function listPublication(query) {
  return request({
    url: '/vr/publication/pageList',
    method: 'get',
    params: query
  })
}

// 查询东南亚连续出版物详细
export function getPublication(id) {
  return request({
    url: '/vr/publication/' + id,
    method: 'get'
  })
}

// 新增东南亚连续出版物
export function addPublication(data) {
  return request({
    url: '/vr/publication',
    method: 'post',
    data: data
  })
}

// 修改东南亚连续出版物
export function updatePublication(data) {
  return request({
    url: '/vr/publication',
    method: 'put',
    data: data
  })
}

// 删除东南亚连续出版物
export function delPublication(id) {
  return request({
    url: '/vr/publication/' + id,
    method: 'delete'
  })
}
